@mixin cart-controls {
    display: grid;
    grid-template-columns: 23.5% 50% 23.5%;
    grid-gap: 3%;

    button {
        height: 100%;
        font-size: 0.8em;
    }

    input {
        color: rgba($dark, 0.9);
        font-size: 0.8em;
        border: 1px solid rgba($secondary, 0.2);
        outline: none;

        &:focus {
            border: 1px solid rgba($secondary, .5);
        }
    }

    input[type="number"]::-webkit-inner-spin-button,
    input[type="number"]::-webkit-outer-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    input[type="number"] {
        -moz-appearance: textfield;
    }

    .btn-outline-primary {
        border: 0;

        &:hover {
            background-color: rgba($secondary, .7);
            color: white !important;
        }
    }
}

@mixin nav-scroll {
    overflow-y: scroll;

    &::-webkit-scrollbar {
        width: 7px;
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgba($secondary, .4);
        border-radius: 4px;

        &:hover {
            background-color: rgba($secondary, .4);
        }
    }
}